{% extends 'base.html.twig' %}

{% block title %}Campaign{% endblock %}



{% block body %}

    <div class="parallax-container valign-wrapper">
        <div class="section no-pad-bot">
            <div class="container">
                <h1 class="header center white-text light">{{ campaign.title }}</h1>
                <div class="row center">
                    <h5 class="header col s12 light">- Organisée par : {{ campaign.name }}</h5>
                </div>
            </div>
        </div>
        <div class="parallax"><img src="/assets/images/8.jpg" alt="Titre de la campagne"></div>
    </div>

    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Participez en quelques secondes</h4>
                </div>
            </div>
            <!--   Form Section  -->
            <div class="card">
                <div class="card-content">
                    <div class="row">
                        <form action="{{path('spending_new')}}" method="post" id="payment-form">
                            <input type="hidden" name="campaign_id" value="{{ campaign.id }}">
                            <h5 class="center">Votre identité</h5>
                            <div class="input-field col s12 l6">
                                <input id="email" type="email" name="email" class="validate">
                                <label for="email">Votre Email</label>
                            </div>
                             <div class="input-field col s12 l6">
                                <input id="name" type="text" name="name" class="validate">
                                <label for="name">Votre Nom</label>
                            </div>
                             <div class="input-field col s12 l6">
                                <input id="product" type="text" name="product" class="validate">
                                <label for="product">Produits</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="amount" type="number" name="amount" value="{{amount_participant|default(0) }}" class="validate">
                                <label for="amount">Dépenses</label>
                            </div>
                            <p>
                                <label>
                                    <input type="checkbox" />
                                    <span>Masquer mon identité auprès des autres participants</span>
                                </label>
                            </p>
                            <p>
                                <label>
                                    <input type="checkbox" />
                                    <span>Masquer le montant de ma participation auprès des autres participants</span>
                                </label>
                            </p>
                            <div class="clearfix"></div>
                            <h5 class="center">Paiement</h5>

                           

                            <div class="input-field col s12 l6">
                                <a href="#!" class="btn btn-large waves-effect waves-light grey col s12">Annuler</a>
                            </div>

                            <div class="input-field col s12 l6">
                                <button class="btn btn-large waves-effect waves-light pink lighten-1 col s12" type="submit" name="action">
                                    Participer
                                    <i class="material-icons right">euro_symbol</i>
                                </button>
                            </div>
                        
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

